Subject: Progress bars should not go backwards ever

From: "Zack Weinberg" <[email-masked]>
Date: Sun, 28 Jul 2024 16:02:38 +0000

I have noticed that when Guix is building derivations, the progress bar
for what it's currently building will often reverse to somewhere between
5% and 50% after reaching 100%.  In some cases, such as for guix-packages-
base.drv and guix-packages.drv, this happens several dozen times before
the build is actually complete.

This is a bug.  Progress bars should *never* go backward.  It is
actually better to have no progress bar at all than to have one that
gives a misleading sense of how close the operation is to completion.

zw